require 'rails_helper'

describe WorkflowInstance do

  describe '#workflow_steps' do
    it "only returns present workflow steps" do
      wi = create :workflow_instance_scenario1
      wi.owner_initialization.destroy
      wi.reload.workflow_steps.should be_all
    end
  end
end
